alt-php82 (8.2.32-1) stable; urgency=medium

  * Update to 8.2.32

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Fri, 10 Jul 2026 03:06:35 +0200

alt-php82 (8.2.31-9) stable; urgency=low

  * ALTPHP-2485: fix alt-phpXY-fpm failing to start on non-panel hosts. The default www.conf pool now listens on a per-version unix socket (/var/run/alt-phpXY-fpm.sock) instead of the shared 127.0.0.1:9000, so multiple alt-php FPM services no longer collide on the same TCP port. On Debian-like distros the pool group is set to nogroup (no nobody group). Ship an empty _.conf in the /opt/cpanel php-fpm.d dir so its include glob matches on non-cPanel hosts (suppresses the "Nothing matches" warning).

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 30 Jun 2026 12:00:00 +0200

alt-php82 (8.2.31-8) stable; urgency=low

  * ALTPHP-2352: add php.d.std scan directory for standalone environments

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sun, 21 Jun 2026 12:00:00 +0200

alt-php82 (8.2.31-7) stable; urgency=low

  * CLOS-4642: LSWS site-isolation - normalize trailing slash in docroot hash

 -- Sandro Kalatozishvili <skalatozishvili@cloudlinux.com>  Thu, 18 Jun 2026 13:47:08 +0000

alt-php82 (8.2.31-6) stable; urgency=low

  * ALTPHP-2474: Rename www.conf.default to www.conf so FPM starts by default

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 12 Jun 2026 10:00:00 +0000

alt-php82 (8.2.31-5) stable; urgency=low

  * CLOS-4506: Fix lsphp site-isolation ctor overwriting per-vhost DOCUMENT_ROOT
  * ALTPHP-2448: Gate postun per-user PHP Selector reset on Elevate upgrade markers

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 03 Jun 2026 10:00:00 +0000

alt-php82 (8.2.31-4) stable; urgency=medium

  * ALTPHP-2406: use alt-libicu71 for all OS

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 28 May 2026 15:00:00 +0200

alt-php82 (8.2.31-3) stable; urgency=medium

  * EA4D-825: rename alt-phpXY-fpm -> alt-phpXY-php-fpm

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sat, 17 May 2026 12:00:00 +0200

alt-php82 (8.2.31-2) stable; urgency=medium

  * CLOS-4167: per-domain CageFS site-isolation support in lsphp

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sat, 09 May 2026 15:14:11 +0200

alt-php82 (8.2.31-1) stable; urgency=medium

  * ALTPHP-2416: Update to 8.2.31 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Tue, 05 May 2026 14:23:52 -0400

alt-php82 (8.2.30-10) stable; urgency=medium

  * Fix Ubuntu 26.04 runtime dependency issues:
    - Remove wrong fpm dep from cli package
    - Add explicit alt-libssh2, alt-libcurlssl, alt-sqlite deps to common
    - Add libpcre3/alt-pcre conditional dep to common
    - Add libxml2-16 conditional for Ubuntu >= 26 / Debian >= 13
    - Add libnghttp2-14 dep to cli

 -- Nikolai Mardanov <nmardanov@cloudlinux.com>  Tue, 15 Apr 2026 14:00:00 +0000

alt-php82 (8.2.30-9) stable; urgency=medium

  * Fix libcurl runtime dependency to include libcurl4t64 for Debian 13 compatibility
  * Fix self-referential Depends in alt-php82-pdo package
  * ALTPHP-2289: Update LiteSpeed SAPI to version 8.3

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Thu, 03 Apr 2026 00:00:00 +0000

alt-php82 (8.2.30-8) stable; urgency=medium

  * ALTPHP-2364: fix hardcoded x86_64 OpenSSL lib path in debian/rules
    for arm64 support

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Fri, 27 Mar 2026 12:00:00 +0400

alt-php82 (8.2.30-7) stable; urgency=medium

  * Update php-fpm patch to v4 for per-domain resource isolation support

 -- Razmik Manvelyan <rmanvelyan@cloudlinux.com>  Tue, 17 Mar 2026 00:00:00 +0000

alt-php82 (8.2.30-5) stable; urgency=medium

  * ALTPHP-2341: Update php-fpm lve patch to extract doc_root from
    php_admin_values for CageFS per-domain isolation

 -- Arseniy Zolotarev <azolotarev@cloudlinux.com>  Mon, 23 Feb 2026 00:00:00 +0000

alt-php82 (8.2.30-3) stable; urgency=medium

  * EA4D-739: Make FPM config compatible with CPanel

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Wed, 28 Jan 2026 17:00:00 +0200

alt-php82 (8.2.30-2) stable; urgency=medium

  * ALTPHP-2277: add lve support for fpm handler

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 20 Jan 2026 11:54:00 +0100

alt-php82 (8.2.30-1) stable; urgency=medium

  * ALTPHP-2263: update to 8.2.30.

 -- Levon Matshkalyan <lmatshkalyan@cloudlinux.com>  Tue, 23 Dec 2025 18:00:00 +0400

alt-php82 (8.2.29-8.2) stable; urgency=medium

  * change name for apache conf for internal pkg to avoid conflict with
    regular alt-php82

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 12 Nov 2025 15:07:00 +0100

alt-php82 (8.2.29-8.1) stable; urgency=medium

  * change displayname plesk handlers to "X.Y.Z (Secured)"

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 05 Nov 2025 21:13:00 +0100

alt-php82 (8.2.29-8) stable; urgency=medium

  * ALTPHP-2216: change displayname for plesk's handlers

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 31 Oct 2025 10:54:00 +0100

alt-php82 (8.2.29-7) stable; urgency=medium

  * ALTPHP-2172: Remove duplicated lines in php-fpm.conf

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Tue, 23 Sep 2025 17:00:00 +0200

alt-php82 (8.2.29-6) stable; urgency=medium

  * ALTPHP-2135: Enable PCRE JIT by default

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Fri, 19 Sep 2025 15:00:00 +0200

alt-php82 (8.2.29-5) stable; urgency=medium

  * ALTPHP-2168: Add includes to php-fpm.conf
  * ALTPHP-2168: Make the paths in php-fpm.conf and logrotate even

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 15 Sep 2025 20:00:00 +0200

alt-php82 (8.2.29-4) stable; urgency=medium

  * ALTPHP-2150: Support mod_php on Debian-based systems

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 03 Sep 2025 16:20:00 +0200

alt-php82 (8.2.29-3) stable; urgency=medium

  * ALTPHP-2132: update plesk's handler conf file
  * ALTPHP-2131: leave only one php.fpm config
  * EA4D-687: set error_log env in php.ini
  * ALTPHP-2080: Refactor debian spec

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 03 Sep 2025 14:50:00 +0200

alt-php82 (8.2.29-2.1) stable; urgency=medium

  * ALTPHP-2143: Fix mysql socket path

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Tue, 19 Aug 2025 20:00:00 +0200

alt-php82 (8.2.29-2) stable; urgency=medium

  * ALTPHP-2080: Refactor debian spec

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 15 Jul 2025 17:00:00 +0200

alt-php82 (8.2.29-1) stable; urgency=medium

  * ALTPHP-2099: update to 8.2.29.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 02 Jul 2025 15:20:00 +0100

alt-php82 (8.2.28-7) stable; urgency=medium

  * ALTPHP-2049: Change method of creating php_handlers for plesk.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Thu, 22 May 2025 15:20:00 +0100

alt-php82 (8.2.28-3) stable; urgency=medium

  * Security fixes
    - CVE-2024-11235: use-after-free for ??= due to incorrect live-range
      calculation

 -- Dmitrii Samoilov <dsamoilov@cloudlinux.com>  Fri, 11 Apr 2025 06:57:09 +0000

alt-php82 (8.2.28-2) stable; urgency=medium

  * ALTPHP-2031: write ioncube ext at the beginning of the default.ini conf

 -- Sergey Fokin <sfokin@cloudlinux.com>  Mon, 31 Mar 2025 17:28:00 +0200

alt-php82 (8.2.28-1) stable; urgency=medium

  * ALTPHP-2019: update to 8.2.28

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 12 Mar 2025 11:31:00 +0100

alt-php82 (8.2.27-3) stable; urgency=medium

  * ALTPHP-1877: Enable webp on Ubuntu 16

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 26 Feb 2025 15:20:00 +0100

alt-php82 (8.2.27-2) stable; urgency=medium

  * ALTPHP-1943: do not create dat file for lve if it is not cagefs
    environment

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 19 Feb 2025 16:00:00 +0100

alt-php82 (8.2.27-1) stable; urgency=medium

  * ALTPHP-1916: update to 8.2.27

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 18 Dec 2024 14:20:00 +0200

alt-php82 (8.2.26-1) stable; urgency=medium

  * ALTPHP-1901: update to 8.2.26

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 20 Nov 2024 11:49:00 +0100

alt-php82 (8.2.25-2) stable; urgency=medium

  * ALTPHP-1868: Fix fpm/cli dependencies

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 07 Nov 2024 17:00:00 +0200

alt-php82 (8.2.25-1.1) stable; urgency=medium

  * EA4D-577: rebuild with alt-curlssl for all deb platforms

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 30 Oct 2024 16:17:00 +0100

alt-php82 (8.2.25-1) stable; urgency=medium

  * ALTPHP-1881: update to 8.2.25

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 23 Oct 2024 10:24:00 +0200

alt-php82 (8.2.24-2) stable; urgency=medium

  * ALTPHP-1839: Change lsapi naming

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Mon, 23 Sep 2024 13:00:00 +0100

alt-php82 (8.2.24-1) stable; urgency=medium

  * ALTPHP-1856: update to 8.2.24

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 25 Sep 2024 15:38:00 +0200

alt-php82 (8.2.23-1) stable; urgency=medium

  * ALTPHP-1835: Update to 8.2.23 version.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Wed, 28 Aug 2024 14:20:00 +0200

alt-php82 (8.2.22-1) stable; urgency=medium

  * ALTPHP-1812: update to 8.2.22

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 31 Jul 2024 11:35:00 +0200

alt-php82 (8.2.21-2) stable; urgency=medium

  * ALTPHP-1784: add selinux attribut httpd_exec_t to php-fpm bin

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 17 Jul 2024 17:12:00 +0200

alt-php82 (8.2.21-1) stable; urgency=medium

  * ALTPHP-1795: update to 8.2.21

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 03 Jul 2024 15:20:00 +0200

alt-php82 (8.2.20-2) stable; urgency=medium

  * ALTPHP-1776: fpm should be installed with cli package.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Fri, 21 Jun 2024 15:20:00 +0200

alt-php82 (8.2.20-1) stable; urgency=medium

  * ALTPHP-1774: update to 8.2.20

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 05 Jun 2024 16:55:00 +0200

alt-php82 (8.2.19-2.1) stable; urgency=medium

  * ALTPHP-1764: Bumped release

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 23 May 2024 13:32:00 +0200

alt-php82 (8.2.19-2) stable; urgency=medium

  * ALTPHP-1738: Always build with alt-sqlite

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Fri, 10 May 2024 20:32:00 +0200

alt-php82 (8.2.19-1.1) stable; urgency=medium

  * rebuild with right gcc for ubuntu

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 10 May 2024 11:51:00 +0200

alt-php82 (8.2.19-1) stable; urgency=medium

  * update to 8.2.19

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 08 May 2024 10:48:00 +0200

alt-php82 (8.2.18-2) stable; urgency=medium

  * ALTPHP-1730: don't create /opt/alt/alt_php.status for alt-php-internal

 -- Sergey Fokin <sfokin@cloudlinux.com>  Mon, 15 Apr 2024 16:44:00 +0200

alt-php82 (8.2.18-1) stable; urgency=medium

  * update to 8.2.18

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 10 Apr 2024 17:00:00 +0200

alt-php82 (8.2.17-1) stable; urgency=medium

  * update to 8.2.17
  * ALTPHP-855: set for mysql exts default path to /var/lib/mysql/mysql.sock

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 13 Mar 2024 15:36:00 +0100

alt-php82 (8.2.16-2) stable; urgency=medium

  * add requires in cli sub-package to fpm

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 06 Mar 2024 10:24:00 +0100

alt-php82 (8.2.16-1) stable; urgency=medium

  * update to 8.2.16

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 14 Feb 2024 10:54:00 +0100

alt-php82 (8.2.15-1) stable; urgency=medium

  * update to 8.2.15

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 17 Jan 2024 14:07:00 +0100

alt-php82 (8.2.14-1) stable; urgency=medium

  * update to 8.2.14

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 26 Dec 2023 11:01:00 +0100

alt-php82 (8.2.13-1) stable; urgency=medium

  * update to 8.2.13

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 22 Nov 2023 16:07:00 +0100

alt-php82 (8.2.12-1) stable; urgency=medium

  * update to 8.2.12

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 26 Oct 2023 16:13:00 +0200

alt-php82 (8.2.11-1) stable; urgency=medium

  * update to 8.2.11

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 26 Sep 2023 16:15:00 +0200

alt-php82 (8.2.10-1.2) stable; urgency=medium

  * ALTPHP-1541: Enable cache_phpdata calling after package installation on debian systems.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Tue, 26 Sep 2023 15:20:00 +0100

alt-php82 (8.2.10-1.1) stable; urgency=medium

  * Fix path for sed

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 19 Sep 2023 14:21:00 +0200

alt-php82 (8.2.10-1) stable; urgency=medium

  * update to 8.2.10

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 01 Sep 2023 16:21:00 +0200

alt-php82 (8.2.9-1) stable; urgency=medium

  * update to 8.2.9

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 02 Aug 2023 16:54:00 +0200

alt-php82 (8.2.8-1) stable; urgency=medium

  * update to 8.2.8

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 05 Jul 2023 14:24:00 +0100

alt-php82 (8.2.7-1) stable; urgency=medium

  * update to 8.2.7

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 14 Jun 2023 13:58:00 +0100

alt-php82 (8.2.6-1) stable; urgency=medium

  * update to 8.2.6

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 12 May 2023 17:12:00 +0100

alt-php82 (8.2.5-2) stable; urgency=medium

  * Add optimization flag
  * Some code polishing of the rules

 -- Pavel Mayorov <pmayorov@cloudlinux.com>  Wed, 12 Apr 2023 15:00:00 +0300

alt-php82 (8.2.5-1) stable; urgency=medium

  * update to 8.2.5

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 12 Apr 2023 17:04:00 +0100

alt-php82 (8.2.4-1) stable; urgency=medium

  * update to 8.2.4

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 15 Mar 2023 11:07:00 +0100

alt-php82 (8.2.3-1) stable; urgency=medium

  * update to 8.2.3

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 15 Feb 2023 10:14:00 +0100

alt-php82 (8.2.2-1) stable; urgency=medium

  * update to 8.2.2

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 01 Feb 2023 11:22:00 +0100

alt-php82 (8.2.1-1) stable; urgency=medium

  * update to 8.2.1

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 11 Jan 2023 11:42:00 +0100

alt-php82 (8.2.0-1) stable; urgency=medium

  * update to 8.2.0 final

 -- Sergey Fokin <sfokin@cloudlinux.com>  Mon, 12 Dec 2022 12:02:00 +0100

alt-php82 (8.2.0-0.RC7) stable; urgency=medium

  * update to 8.2.0RC7
  * update litespeed to 8.1

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 24 Nov 2022 11:43:00 +0100

alt-php82 (8.2.0-0.RC5) stable; urgency=medium

  * update to 8.2.0RC5

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 02 Nov 2022 17:16:00 +0100

alt-php82 (8.2.0-0.RC2) stable; urgency=medium

  * ALTPHP-1314: Initial build

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Mon, 12 Sep 2022 15:20:00 +0100
